

body {
margin-right: 50px;
margin-left: 50px;
}
  .button {
              border-radius: 4px;
              background-color: #f4511e;
              color: #FFFFFF;
              text-align: center;
              font-size: 15px;
              padding: 5px 1px;
              cursor: pointer;
              position: relative;
              transition: all 0.5s;
              text-transform: uppercase;
            }
            .button:hover{
                background-color: rgb(189, 0, 0);
            }
            .button :first-child{
                padding-left: 10px;
                transition: all 0.5s;
            }
            .button:hover :first-child{
                padding-left: 0px;
            }
            .button :last-child{
                opacity: 0;
                transition: all 0.5s;
                padding-left: 0px;
            }
            .button:hover :last-child {
                opacity: 1;
                padding-left: 10px;
            }
                <style>
            .button {
              border-radius: 4px;
              background-color: #f4511e;
              color: #FFFFFF;
              text-align: center;
              font-size: 28px;
              padding: 20px 30px;
              cursor: pointer;
              position: relative;
              transition: all 0.5s;
              text-transform: uppercase;
            }
            .button:hover{
                background-color: rgb(189, 0, 0);
            }
            .button :first-child{
                padding-left: 10px;
                transition: all 0.5s;
            }
            .button:hover :first-child{
                padding-left: 0px;
            }
            .button :last-child{
                opacity: 0;
                transition: all 0.5s;
                padding-left: 0px;
            }
            .button:hover :last-child {
                opacity: 1;
                padding-left: 10px;
            }
            </style>







